# Lambda

This page describes the Optimization Pack for AWS Lambda.

## Metrics

<table><thead><tr><th width="255">Name</th><th width="137.33333333333331">Unit</th><th>Description</th></tr></thead><tbody><tr><td>aws_lambda_duration</td><td>seconds</td><td>The duration of an AWS Lambda function execution</td></tr><tr><td>aws_lambda_memory_size</td><td>megabytes</td><td>The memory size allocated for an AWS Lambda function</td></tr><tr><td>aws_lambda_cost</td><td>dollars</td><td>The elaboration cost of an AWS Lambda function</td></tr><tr><td>aws_lambda_reserved_concurrency</td><td>instances</td><td>The maximum number of concurrent instances for an AWS Lambda function</td></tr><tr><td>aws_lambda_provisioned_concurrency</td><td>instances</td><td>The number of prepared environments for an AWS Lambda function</td></tr></tbody></table>

## Parameters

<table><thead><tr><th width="196">Name</th><th width="81">Unit</th><th width="99">Type</th><th width="99">Default Value</th><th width="136">Domain</th><th width="97">Restart</th><th width="286">Description</th></tr></thead><tbody><tr><td>aws_lambda_memory_size</td><td> </td><td>integer</td><td>128</td><td>128 → 10240</td><td>no</td><td>The memory size allocated for an AWS Lambda function</td></tr><tr><td>aws_lambda_reserved_concurrency</td><td> </td><td>integer</td><td>100</td><td>0→ 1000</td><td>no</td><td>The maximum number of concurrent instances for an AWS Lambda function</td></tr><tr><td>aws_lambda_provisioned_concurrency</td><td></td><td>integer</td><td>0</td><td>0→100</td><td>no</td><td>The number of prepared environments for an AWS Lambda function</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.1.2/akamas-reference/optimization-packs/aws-pack/lambda.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
